fn main() {
    let favorite_color: Option<&str> = None;
    let is_tuesday = false;
    let age: Result<u8, _> = "34".parse();

    if let Some(color) = favorite_color {
        println!("Zastosowanie Twojego ulubionego koloru, {color}, jako tła");
    } else if is_tuesday {
        println!("Wtorek to dzień zieleni!");
    } else if let Ok(age) = age {
        if age > 30 {
            println!("Zastosowanie fioletowego jako koloru tła");
        } else {
            println!("Zastosowanie pomarańczowego jako koloru tła");
        }
    } else {
        println!("Zastosowanie niebieskiego jako koloru tła");
    }
}
